<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>AbstractWorld (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractWorld (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/sk89q/worldedit/world/DataException.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/AbstractWorld.html" target="_top">Frames</a></li>
<li><a href="AbstractWorld.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world</div>
<h2 title="Class AbstractWorld" class="title">Class AbstractWorld</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.AbstractWorld</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a>, <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractWorld</span>
extends java.lang.Object
implements <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></pre>
<div class="block">An abstract implementation of <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#AbstractWorld--">AbstractWorld</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">checkLoadedChunk</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pt)</code>
<div class="block">Load the chunk at the given position if it isn't loaded.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#commit--">commit</a></span>()</code>
<div class="block">Return an <a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#createLiquidMask--">createLiquidMask</a></span>()</code>
<div class="block">Create a mask that matches all liquids.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">dropItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt,
        <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item,
        int&nbsp;times)</code>
<div class="block">Drop an item at the given position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#fixAfterFastMode-java.lang.Iterable-">fixAfterFastMode</a></span>(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</code>
<div class="block">Fix the given chunks after fast mode was used.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#fixLighting-java.lang.Iterable-">fixLighting</a></span>(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</code>
<div class="block">Relight the given chunks if possible.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMaximumPoint--">getMaximumPoint</a></span>()</code>
<div class="block">Get the maximum point in the extent.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMaxY--">getMaxY</a></span>()</code>
<div class="block">Get the maximum Y.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMinimumPoint--">getMinimumPoint</a></span>()</code>
<div class="block">Get the minimum point in the extent.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#playEffect-com.sk89q.worldedit.math.Vector3-int-int-">playEffect</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
          int&nbsp;type,
          int&nbsp;data)</code>
<div class="block">Play the given effect.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">queueBlockBreakEffect</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                     <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                     <a href="../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType,
                     double&nbsp;priority)</code>
<div class="block">Queue a block break effect.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-">setBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pt,
        B&nbsp;block)</code>
<div class="block">Change the block at the given location to the given block.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">useItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
       <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a>&nbsp;item,
       <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;face)</code>
<div class="block">Use the given item on the block at the given location on the given side.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.World">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.world.<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></h3>
<code><a href="../../../../com/sk89q/worldedit/world/World.html#clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">clearContainerBlockContents</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">dropItem</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#equals-java.lang.Object-">equals</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">generateTree</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">getBlockLightLevel</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#getName--">getName</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#getRemainingWeatherDuration--">getRemainingWeatherDuration</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#getSpawnPosition--">getSpawnPosition</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#getWeather--">getWeather</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#hashCode--">hashCode</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">notifyAndLightBlock</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">regenerate</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">setBlock</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-">setWeather</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">setWeather</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">simulateBlockMine</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.Extent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">getEntities</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.InputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.OutputExtent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extent.<a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractWorld--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractWorld</h4>
<pre>public&nbsp;AbstractWorld()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useItem</h4>
<pre>public&nbsp;boolean&nbsp;useItem(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                       <a href="../../../../com/sk89q/worldedit/blocks/BaseItem.html" title="class in com.sk89q.worldedit.blocks">BaseItem</a>&nbsp;item,
                       <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;face)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">World</a></code></span></div>
<div class="block">Use the given item on the block at the given location on the given side.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">useItem</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dd><code>item</code> - The item</dd>
<dd><code>face</code> - The face</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether it succeeded</dd>
</dl>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-B-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlock</h4>
<pre>public final&nbsp;&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pt,
                                                              B&nbsp;block)
                                                       throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">OutputExtent</a></code></span></div>
<div class="block">Change the block at the given location to the given block. The operation may
 not tie the given <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> to the world, so future changes to the
 <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> do not affect the world until this method is called again.

 <p>The return value of this method indicates whether the change was probably
 successful. It may not be successful if, for example, the location is out
 of the bounds of the extent. It may be unsuccessful if the block passed
 is the same as the one in the world. However, the return value is only an
 estimation and it may be incorrect, but it could be used to count, for
 example, the approximate number of changes.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
<a name="getMaxY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxY</h4>
<pre>public&nbsp;int&nbsp;getMaxY()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getMaxY--">World</a></code></span></div>
<div class="block">Get the maximum Y.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#getMaxY--">getMaxY</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the maximum Y</dd>
</dl>
</li>
</ul>
<a name="createLiquidMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLiquidMask</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;createLiquidMask()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#createLiquidMask--">World</a></code></span></div>
<div class="block">Create a mask that matches all liquids.

 <p>Implementations should override this so that custom liquids
 are supported.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#createLiquidMask--">createLiquidMask</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a mask</dd>
</dl>
</li>
</ul>
<a name="dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropItem</h4>
<pre>public&nbsp;void&nbsp;dropItem(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pt,
                     <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item,
                     int&nbsp;times)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">World</a></code></span></div>
<div class="block">Drop an item at the given position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">dropItem</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the position</dd>
<dd><code>item</code> - the item to drop</dd>
<dd><code>times</code> - the number of individual stacks to drop (number of item entities)</dd>
</dl>
</li>
</ul>
<a name="checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkLoadedChunk</h4>
<pre>public&nbsp;void&nbsp;checkLoadedChunk(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pt)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">World</a></code></span></div>
<div class="block">Load the chunk at the given position if it isn't loaded.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">checkLoadedChunk</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pt</code> - the position</dd>
</dl>
</li>
</ul>
<a name="fixAfterFastMode-java.lang.Iterable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixAfterFastMode</h4>
<pre>public&nbsp;void&nbsp;fixAfterFastMode(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#fixAfterFastMode-java.lang.Iterable-">World</a></code></span></div>
<div class="block">Fix the given chunks after fast mode was used.

 <p>Fast mode makes calls to <a href="../../../../com/sk89q/worldedit/world/World.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-"><code>World.setBlock(BlockVector3, BlockStateHolder, boolean)</code></a>
 with <code>false</code> for the <code>notifyAndLight</code> parameter, which
 may causes lighting errors to accumulate. Use of this method, if
 it is implemented by the underlying world, corrects those lighting
 errors and may trigger block change notifications.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#fixAfterFastMode-java.lang.Iterable-">fixAfterFastMode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chunks</code> - a list of chunk coordinates to fix</dd>
</dl>
</li>
</ul>
<a name="fixLighting-java.lang.Iterable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixLighting</h4>
<pre>public&nbsp;void&nbsp;fixLighting(java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;chunks)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#fixLighting-java.lang.Iterable-">World</a></code></span></div>
<div class="block">Relight the given chunks if possible.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#fixLighting-java.lang.Iterable-">fixLighting</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chunks</code> - a list of chunk coordinates to fix</dd>
</dl>
</li>
</ul>
<a name="playEffect-com.sk89q.worldedit.math.Vector3-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playEffect</h4>
<pre>public&nbsp;boolean&nbsp;playEffect(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
                          int&nbsp;type,
                          int&nbsp;data)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#playEffect-com.sk89q.worldedit.math.Vector3-int-int-">World</a></code></span></div>
<div class="block">Play the given effect.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#playEffect-com.sk89q.worldedit.math.Vector3-int-int-">playEffect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>type</code> - the effect type</dd>
<dd><code>data</code> - the effect data</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the effect was played</dd>
</dl>
</li>
</ul>
<a name="queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueBlockBreakEffect</h4>
<pre>public&nbsp;boolean&nbsp;queueBlockBreakEffect(<a href="../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                                     <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                     <a href="../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType,
                                     double&nbsp;priority)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">World</a></code></span></div>
<div class="block">Queue a block break effect.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/World.html#queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">queueBlockBreakEffect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>server</code> - the server</dd>
<dd><code>position</code> - the position</dd>
<dd><code>blockType</code> - the block type</dd>
<dd><code>priority</code> - the priority</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the effect was played</dd>
</dl>
</li>
</ul>
<a name="getMinimumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumPoint</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMinimumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">Extent</a></code></span></div>
<div class="block">Get the minimum point in the extent.

 <p>If the extent is unbounded, then a large (negative) value may
 be returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMinimumPoint--">getMinimumPoint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum point</dd>
</dl>
</li>
</ul>
<a name="getMaximumPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumPoint</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getMaximumPoint()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">Extent</a></code></span></div>
<div class="block">Get the maximum point in the extent.

 <p>If the extent is unbounded, then a large (positive) value may
 be returned.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getMaximumPoint--">getMaximumPoint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the maximum point</dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>commit</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;commit()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">OutputExtent</a></code></span></div>
<div class="block">Return an <a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an operation or null if there is none to execute</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/sk89q/worldedit/world/DataException.html" title="class in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/AbstractWorld.html" target="_top">Frames</a></li>
<li><a href="AbstractWorld.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
